Package: org.gradle.api.plugins

## [Groovy] Class ApplicationPlugin

- org.gradle.api.plugins.ApplicationPlugin

- All Implemented Interfaces and Traits:
    Plugin

      class ApplicationPlugin
      extends Object

  A Plugin which runs a project as a Java Application.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `APPLICATION_GROUP`
    `static String` | `APPLICATION_PLUGIN_NAME`
    `static String` | `TASK_DIST_TAR_NAME`
    `static String` | `TASK_DIST_ZIP_NAME`
    `static String` | `TASK_INSTALL_NAME`
    `static String` | `TASK_RUN_NAME`
    `static String` | `TASK_START_SCRIPTS_NAME`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`
    `void` | `configureInstallTasks(Task... installTasks)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### static final String APPLICATION_GROUP

    - #### static final String APPLICATION_PLUGIN_NAME

    - #### static final String TASK_DIST_TAR_NAME

    - #### static final String TASK_DIST_ZIP_NAME

    - #### static final String TASK_INSTALL_NAME

    - #### static final String TASK_RUN_NAME

    - #### static final String TASK_START_SCRIPTS_NAME

  - ### Method Detail

    - #### void apply(Project project)

    - #### void configureInstallTasks(Task... installTasks)